import React from 'react';
import styled from 'styled-components/native';
import { MaterialCommunityIcons } from '@expo/vector-icons';
import { Entypo } from '@expo/vector-icons';
import { FontAwesome5 } from '@expo/vector-icons';
import { MaterialIcons } from '@expo/vector-icons';
import { AntDesign } from '@expo/vector-icons';
import { View } from 'react-native';
import { Feather } from '@expo/vector-icons';
import { Ionicons } from '@expo/vector-icons';

const BCContainer = styled.TouchableHighlight`
  width: 40px;
  height: 40px;
  background-color: ${props => props.disabled ? `grey` : '#F3E4FF'};
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1;
  margin-left: 10px;
  margin-right: 10px;

`;

const IconButtonComponent = ({ pressButton, icon, disabled }) => {
  return (
    <BCContainer style={{
      shadowColor: '#000',
      shadowOffset: {
        width: 0,
        height: 4,
      },
      shadowOpacity: 0.32,
      shadowRadius: 5.46,
      elevation: 9,
    }} disabled={disabled} underlayColor="#ffffff"
                 onPress={() => {if (!disabled) {pressButton();}}}>
      <View>
        {icon === 'exit' &&
          <MaterialCommunityIcons name="exit-to-app" size={28} color="#0C0012"/>
        }
        {icon === 'delete' &&
          <MaterialIcons name="delete-outline" size={28} color="#0C0012"/>
        }
        {icon === 'plus' &&
          <Entypo name="plus" size={28} color="#0C0012"/>
        }
        {icon === 'assistant' &&
          <Feather name="users" size={25} color="#0C0012"/>
        }
        {icon === 'start' &&
          <Ionicons name="md-play-outline" size={30} color="#0C0012"/>
        }
      </View>
    </BCContainer>
  );
};

export default IconButtonComponent;