import React from 'react';
import styled from 'styled-components/native';

const InputContainer = styled.TextInput`
  width: 80%;
  height: ${props => props.multiline ? '120px' : '50px'};
  background-color: ${props => props.theme.mainThird};
  border-style: solid;
  border-width: 1px;
  border-color: ${props => props.theme.mainSecond};
  border-radius: 10px;
  padding: 10px 20px;
  color: rgba(12, 0, 18, 0.6);
  font-size: 16px;
  font-weight: 500;
  margin-top: ${props => props.marginTop ? props.marginTop : '0'};
`;

const InputComponent = ({
  placeholder,
  marginTop,
  inputSelect,
  inputPass,
  secureTextEntry,
  value,
  onChangeText,
  multiline,
}) => {

  return (
    <InputContainer multiline={multiline} onChangeText={onChangeText}
                    value={value} secureTextEntry={secureTextEntry}
                    onSubmitEditing={() => {inputPass();}}
                    onFocus={() => {inputSelect();}} marginTop={marginTop}
                    placeholderTextColor="#595959" placeholder={placeholder}
                    style={{}}>
    </InputContainer>

  );
};

export default InputComponent;