import * as React from 'react';
import { Snackbar } from 'react-native-paper';
import styled from 'styled-components/native';

const SnackView = styled.View`
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: ${props => props.top ? props.top : '80px'};
  align-self: center;
  width: 100%;
  z-index: 1;
`;

const SnackComponent = ({ visible, onDismissSnackBar, error, top }) => {

  return (
    <SnackView top={top}>
      <Snackbar
        style={{ backgroundColor: 'orange' }}
        visible={visible}
        onDismiss={onDismissSnackBar}
        action={{
          label: '',
          onPress: () => {
            // Do something
          },
        }}>
        {error}
      </Snackbar>
    </SnackView>
  );
};

export default SnackComponent;