import React from 'react';
import styled from 'styled-components/native';

const CustomText = styled.Text`
  color: ${props => props.color ? props.color : '#0C0012'};
  font-weight: ${props => props.fontWeight ? props.fontWeight : '500'};
  font-size: ${props => props.fontSize ? props.fontSize : '20px'};
  margin-top: ${props => props.marginTop ? props.marginTop : '0'};
  text-decoration: ${props => props.textDecoration
          ? props.textDecoration
          : 'none'};
  width: ${props => props.width ? props.width : 'auto'};
  padding-left: ${props => props.pl ? props.pl : '0'};
  padding-right: ${props => props.pr ? props.pr : '0'};
`;

const TextComponent = ({
  children,
  color,
  marginTop,
  fontSize,
  fontWeight,
  textDecoration,
  width,
  pl,
  pr,
}) => {
  return (
    <CustomText pl={pl} pr={pr} width={width} textDecoration={textDecoration}
                color={color} marginTop={marginTop} fontSize={fontSize}
                fontWeight={fontWeight}>{children}</CustomText>
  );
};

export default TextComponent;