import React from 'react';
import styled from 'styled-components/native';
import { ActivityIndicator, View } from 'react-native';
import TextComponent from './TextComponent';

const CustomButton = styled.TouchableHighlight`
  background: transparent;
  height: 45px;
  width: ${props => props.width ? props.width : '80%'};
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: ${props => props.mt ? props.mt : '10px'};
  margin-left: ${props => props.ml ? props.ml : '10px'};
  margin-right: ${props => props.mr ? props.mr : '10px'};
`;

const TransparentButtonComponent = ({
  buttonPress,
  children,
  mr,
  ml,
  mt,
  width,
  isLoadingTransparent,
}) => {
  return (
    <CustomButton width={width} mt={mt} mr={mr} ml={ml}
                  underlayColor={'transparent'} activeOpacity={0.6}
                  onPress={() => {
                    if (!isLoadingTransparent) {
                      buttonPress();
                    }
                  }}>
      <View>
        {!isLoadingTransparent ?
          <TextComponent textDecoration={'underline'} fontWeight={500}
                         fontSize={13}
                         color={'#0C0012'}>{children}</TextComponent>
          : <ActivityIndicator color={'#0C0012'}/>}
      </View>
    </CustomButton>
  );
};

export default TransparentButtonComponent;