import React from 'react';
import styled from 'styled-components/native';
import Entypo from '@expo/vector-icons/Entypo';
import Feather from '@expo/vector-icons/Feather';
import { A } from '@expo/html-elements';
import { View } from 'react-native';

const WishView = styled.View`
  flex-direction: row;
  padding: 12px;
  border-bottom-width: 1px;
  border-bottom-color: rgba(0, 0, 0, 0.1);
  border-bottom-style: solid;
  align-items: center;
  background-color: #F3E4FF;
  justify-content: space-between;
`;

const WishDetails = styled.View`
  justify-content: center;
`;

const WishTitle = styled.Text`
  font-size: 17px;
  font-weight: 700;
  color: #0C0012;
`;

const WishPrice = styled.Text`
  color: #0C0012;
`;

const WishPriority = styled.View`
  padding: 10px;
`;

const WishComponent = ({ title, url, price, priority }) => {
  return (
    <WishView>
      <View style={{ flexDirection: 'row' }}>
        <WishPriority>
          {priority === 1 &&
            <Entypo name="dot-single" size={24} color="#0C0012"/>}
          {priority === 2 &&
            <Entypo name="dots-two-horizontal" size={24} color="#0C0012"/>}
          {priority === 3 &&
            <Entypo name="dots-three-horizontal" size={24} color="#0C0012"/>}
        </WishPriority>
        <WishDetails>
          <WishTitle>{title}</WishTitle>
          <WishPrice>Price: {price} uah</WishPrice>
        </WishDetails>
      </View>
      <A href={url}><Feather name="external-link" size={24}
                             color="#000000"/></A>
    </WishView>
  );
};

export default WishComponent;