import { createNativeStackNavigator } from '@react-navigation/native-stack';
import { NavigationContainer } from '@react-navigation/native';
import AuthScreen from '../screens/auth/AuthScreen/AuthScreen';
import RegisterScreen from '../screens/auth/RegisterScreen/RegisterScreen';
import CreateHolidayScreen from '../screens/holidays/CreateHolidayScreen/CreateHolidayScreen';
import SinglePostScreen from '../screens/holidays/SinglePostScreen/SinglePostScreen';
import MainTabsScreen from '../screens/main/MainTabsScreen/MainTabsScreen';
import CreateWishScreen from '../screens/main/CreateWishScreen/CreateWishScreen';
import AssistantScreen from '../screens/holidays/AssistantScreen/AssistantScreen';
import WishSingleScreen
  from '../screens/main/WishSingleScreen/WishSingleScreen';
import MyAccountScreen
  from '../screens/settings/MyAccountScreen/MyAccountScreen';
import { MaterialIcons } from '@expo/vector-icons';

const Stack = createNativeStackNavigator();

export const Navigation = () => {
  return (
    <NavigationContainer>
      <Stack.Navigator>
        <Stack.Screen name="Main" component={MainTabsScreen} options={{headerShown: false}}/>
        <Stack.Screen name="Authorization" component={AuthScreen} options={{headerShown:false}}/>
        <Stack.Screen name="Registration" component={RegisterScreen} options={{headerShown:false}}/>
        <Stack.Screen name="CreateHoliday" component={CreateHolidayScreen} options={{title: 'Запланувати свято',headerTitleStyle: {color: '#0C0012'},  headerShadowVisible: false, headerBackTitle:'Назад',headerRight:()=>  <MaterialIcons name="notifications-none" size={30} color="#0C0012" />}} />
        <Stack.Screen name="SinglePost" component={SinglePostScreen} options={{title:'Свята',headerTitleStyle: {color: '#0C0012'},headerShadowVisible: false,headerBackTitle:'Назад',headerRight:()=>  <MaterialIcons name="notifications-none" size={30} color="#0C0012" />}}/>
        <Stack.Screen name="CreateWish" component={CreateWishScreen} options={{title: 'Список бажань',headerTitleStyle: {color: '#0C0012'},headerShadowVisible: false,headerBackTitle:'Назад',headerRight:()=>  <MaterialIcons name="notifications-none" size={30} color="#0C0012" />}}/>
        <Stack.Screen name="YourAssistant" component={AssistantScreen} options={{title: 'Ваш напарник',headerTitleStyle: {color: '#0C0012'},headerShadowVisible: false,headerBackTitle:'Назад',headerRight:()=>  <MaterialIcons name="notifications-none" size={30} color="#0C0012" />}}/>
        <Stack.Screen name="YourAssistantWish" component={WishSingleScreen} options={{title: 'Список бажань',headerTitleStyle: {color: '#0C0012'},headerShadowVisible: false,headerBackTitle:'Назад',headerRight:()=>  <MaterialIcons name="notifications-none" size={30} color="#0C0012" />}}/>
        <Stack.Screen name="MyAccount" component={MyAccountScreen} options={{title: 'Мій аккаунт',headerTitleStyle: {color: '#0C0012'},headerShadowVisible: false,headerBackTitle:'Назад'}}/>
      </Stack.Navigator>
    </NavigationContainer>
  )
}