import { createBottomTabNavigator } from '@react-navigation/bottom-tabs';
import { useDispatch } from 'react-redux';
import { AsyncStorage } from 'react-native';
import { saveHolidays, saveUser } from '../../../store/slices/holidaysSlice';
import axios from 'axios';

export function useMainTabsScreen ({ navigation }) {

  const Tab = createBottomTabNavigator();
  const dispatch = useDispatch();

  const asyncFunction = async () => {
    let user;
    try {
      user = await AsyncStorage.getItem('user');
      user = JSON.parse(user);
      dispatch(saveUser(user));
    } catch (e) {
      console.log(e);
      navigation.navigate('Authorization');
      return null;
    }
    console.log(user.token);
    axios.get(`${process.env.API}/holidays`, {
      headers: {
        'Cookie': `${user.token}`,
      },
    }).then(resp => {
      console.log('work');
      dispatch(saveHolidays(resp.data));
      console.log('work');
    }).catch((e) => {
      console.log(e);
      navigation.navigate('Authorization');
    });
  };

  return {
    models: { Tab, dispatch },
    commands: { asyncFunction },
  };
}