import { useDispatch, useSelector } from 'react-redux';
import axios from 'axios';
import { saveUser } from '../../../store/slices/holidaysSlice';
import { AsyncStorage } from 'react-native';

export function useWishListScreen ({ navigation }) {

  const dispatch = useDispatch();
  const user = useSelector(state => state.holidaySlice.user);

  const removeWish = (data) => {
    const body = {
      operation: 'remove',
      userId: user._id,
      title: data.item.title,
      url: data.item.url,
      price: data.item.price,
      priority: data.item.priority,
    };
    axios.put(`${process.env.API}/login`, body).then(async resp => {
      const updatedUser = resp.data;
      updatedUser.token = user.token;
      dispatch(saveUser(updatedUser));
      try {
        await AsyncStorage.setItem(
          'user',
          JSON.stringify(updatedUser),
        );
      } catch (error) {
        console.log(error);
      }
    });
  };

  return {
    models: { user },
    commands: { removeWish },
  };
}