import React from 'react';
import { FlatList, View, TouchableOpacity } from 'react-native';
import WishComponent from '../../../components/WishComponent';
import TextComponent from '../../../components/TextComponent';

const WishSingleScreen = ({ route }) => {
  return (
    <View style={{ backgroundColor: 'white', flex: 1 }}>
      {route.params.length !== 0 ? <FlatList
        data={route.params.sort(function (a, b) {
          return b.priority - a.priority;
        })} renderItem={({ item }) => (
        <TouchableOpacity activeOpacity={1}>
          <WishComponent title={item.title} url={item.url}
                         price={item.price}
                         priority={item.priority}/>
        </TouchableOpacity>
      )}/> : <TextComponent fontSize={'18px'} marginTop={'10px'} pl={'5%'}
                            pr={'5%'}>Нажаль користувач не заповнив свій список
        бажань.</TextComponent>}
    </View>
  );
};

export default WishSingleScreen;