import { useDispatch, useSelector } from 'react-redux';
import axios from 'axios';
import { fetchHolidays } from '../../../store/slices/holidaysSlice';

export function useFavoriteScreen () {
  const dispatch = useDispatch();
  const holidaysList = useSelector(state => state.holidaySlice.holidaysList);
  const isLoading = useSelector(state => state.holidaySlice.isLoading);
  const user = useSelector(state => state.holidaySlice.user);

  const enjoyUser = (party) => {
    axios.put(`${process.env.API}/holidays`, {
      operation: 'add',
      holidayId: party._id,
      userId: user._id,
      firstname: user.firstname,
      secondname: user.secondname,
      isMan: user.isMan,
      notificationToken: user.notificationToken,
    }).then(async () => {
      await dispatch(fetchHolidays());
    });
  };

  const leaveUser = (party) => {
    axios.put(`${process.env.API}/holidays`, {
      operation: 'delete',
      holidayId: party._id,
      userId: user._id,
    }).then(async () => {
      await dispatch(fetchHolidays());
    });
  };

  const addFavorite = (party) => {
    axios.put(`${process.env.API}/holidays`, {
      operation: 'addFavorite',
      holidayId: party._id,
      userId: user._id,
    }).then(async () => {
      await dispatch(fetchHolidays());
    });
  };

  const leaveFavorite = (party) => {
    axios.put(`${process.env.API}/holidays`, {
      operation: 'leaveFavorite',
      holidayId: party._id,
      userId: user._id,
    }).then(async () => {
      await dispatch(fetchHolidays());
    });
  };

  return {
    models: {
      dispatch, holidaysList, isLoading, user,
    },
    commands: {
      enjoyUser, leaveUser, addFavorite, leaveFavorite,
    },
  };
}