import { useDispatch, useSelector } from 'react-redux';
import React from 'react';
import axios from 'axios';
import { saveUser } from '../../../store/slices/holidaysSlice';

export function useMyAccountScreen ({ navigation }) {
  const dispatch = useDispatch();
  const user = useSelector(state => state.holidaySlice.user);
  const [firstname, setFirstname] = React.useState();
  const [secondname, setSecondname] = React.useState();
  const [picture, setPicture] = React.useState([]);
  const [userAvatar, setUserAvatar] = React.useState('');
  const [isLoadingRequest, setIsLoadingRequest] = React.useState(false);

  const setActive = (index) => {
    let oldArray = [...picture];
    oldArray.forEach((x) => {x.active = false;});
    oldArray[index].active = true;
    setPicture(oldArray);
    setUserAvatar(oldArray[index].uri);
  };

  const sendSave = () => {
    setIsLoadingRequest(true);
    axios.put(`${process.env.API}/settings`,
      { firstname, secondname, userAvatar, id: user._id }).then((resp) => {
      dispatch(saveUser(resp.data));
      setIsLoadingRequest(false);
      navigation.navigate('Main', { screen: 'Налаштування' });
    }).catch((e) => {
      setIsLoadingRequest(false);
    });
  };

  return {
    models: {
      firstname,
      secondname,
      picture,
      userAvatar,
      isLoadingRequest,
      setFirstname,
      setSecondname,
      setPicture,
      setUserAvatar,
      setIsLoadingRequest,
      user,
      dispatch,
    },
    commands: {
      setActive, sendSave,
    },
  };
}