import React from 'react';
import { Image, View } from 'react-native';
import { useSettingsScreen } from './useSettingsScreen';
import ButtonComponent from '../../../components/ButtonComponent';

const SettingsScreen = ({ navigation }) => {
  const {
    commands: { logOut },
  } = useSettingsScreen({ navigation });
  return (
    <View style={{
      backgroundColor: 'white',
      flex: 1,
      justifyContent: 'center',
      alignItems: 'center',
    }}>
      <Image style={{ height: 305, width: 165, marginTop: 25 }}
             source={require('../../../../assets/groupbwt/santa.png')}/>
      <ButtonComponent mt={15}
                       buttonPress={() => {navigation.navigate('MyAccount');}}
                       alternative>Мій аккаунт</ButtonComponent>
      <ButtonComponent buttonPress={() => {logOut();}} alternative>Вийти з
        аккаунту</ButtonComponent>
    </View>
  );
};

export default SettingsScreen;